Subject: Week 36: Pulled Carbs = -4.8 lbs, Water GONE
From: RetatrutideLog <[email-masked]>
To: [email-masked]
Date: Sat, 14 Mar 2026 21:08:36 +0000

Week 36: Pulled carbs = water dumped. -4.8 lbs, waist 34.37". Zero carb 230g protein. Sauna 3x weekly. Total -103.6 lbs. YouTube 1,582 subs.

RetatrutideLog Weekly

Hey everyone,

🥒 Week 36: Pulled the Carbs, Dumped the Water

After rebounding +7 lbs last week from the 5-day fast, I made one major change: yanked all starchy carbs. No more cheese grits, no more rice cakes. Switched to zero carb, high protein (230-240g daily), moderate fat, with cucumbers for volume. Result: water dumped mid-week. Down 4.8 lbs, waist down to 34.37" (over an inch drop). Total -103.6 lbs. The bloat is gone.

-4.8

Scale Drop

17.6%

Body Fat

34.37"

Waist

📝 This Week's Post

🥒 Week 36: Pulled the Carbs, Dumped the Water

Complete breakdown: Why I pulled carbs (water retention from grits/rice cakes), new zero-carb meal plan (230g protein, cucumbers for volume), mid-week visual water drop, waist measurement, YouTube growth (1,582 subscribers), sauna addition (3x weekly), Lab Partner update (MOTS-c tested, Tesamorelin next), StepUp Challenge (22 members, 1M+ steps).

👉 Read the full update →

📺 This Week's Video

🎥 Week 36: Carbs Pulled, Bloat Gone

Full week recap: The rebound explained, why I pulled all starchy carbs, new meal plan details, visual mid-week water drop, sauna setup, YouTube milestone (1,582 subs, +297 biggest week), and what's next for the final push to goal weight.

🎬 Watch on YouTube →

🧪 Protocol Status [Week 36]

# Metabolic / Peptides

- Retatrutide: 4mg weekly

- DOWN from 6mg (titrating down)

- No appetite suppression anymore

- GHK-Cu: 2mg daily

- MOTS-c: 2.5mg 2x weekly (new)

# HRT / Growth

- Test Cyp: 150mg (2x 75mg IM Mon/Thu)

- HGH: Still stopped

# BP Management

- Telmisartan: 40mg daily (AM before gym)

🍳 New Meal Plan: Zero Carbs, 230g Protein

Daily Macros: ~1,750-1,800 cal

08:00 Post-Workout: 2 eggs, 1 cup egg whites, 1/2 cup cottage cheese

11:00 Snack: Fair Life (42g), White Monster

13:00 Lunch: 7-12 oz chicken thighs, sugar-free BBQ sauce, 2 small cucumbers

17:30 Dinner: 1/2 lb 7% ground beef, onions, bell peppers, 2 small cucumbers

20:00 Nighttime: Fair Life (42g)

The cucumber secret: Volume and crunch without water retention like starchy carbs. Satiety from fat in chicken/beef, plus 230-240g protein keeps me full. Slightly hungrier on low carb, but I'll take it over fighting water bloat every week.

💊 AlphaMD: TRT Discount for This Community

Exclusive Discount: Code DARKREBUILD

I've been on TRT since week 5 (150mg weekly). Started when my total testosterone came back at 243 (well below 300). After 5 weeks, energy went through the roof, gym consistency jumped to 6 days/week. Recent DEXA scan showed I've gained lean mass while in a deep deficit - that doesn't happen without TRT.

Use code DARKREBUILD at checkout:

✓ $5 consultation (normally higher)

✓ 50% off your first month

✓ Veterans discount available

✓ They accept existing labs

✓ Very responsive support team

Get $5 Consult + 50% Off →

🧖 New Recovery Tool: Popup Sauna 3x Weekly

$99 Amazon Sauna Tent

Added 30 minutes of steam 3x weekly before showering. Loosens stiff muscles, helps recovery, improves shoulder and back mobility. After the first session, shoulders weren't stiff, back was loose. Planet Fitness doesn't have a sauna, so setting this up in my bathroom has been perfect. Takes about 20 minutes to heat up.

→ Check out the popup sauna on Amazon

🧬 Lab Partner: MOTS-c Tested, Tesamorelin Next

Testing Round Update

Just tested: MOTS-c (sent to Freedom Diagnostics, waiting on COA)

Next up: Tesamorelin (poll closes March 20th)

Testing cost: $225 per peptide

Members: Growing support, lots of new joins

Members get early access to COA results, then we vote and cycle through the rest.

Join Lab Partner →

📺 YouTube

1,582 Subscribers! (+297 this week)

Watch Channel →

🚶 StepUp

1.08M+ steps, 22 members

Join Challenge →

🎯 Next Week: Staying Zero Carb, Watching Water Clear

Continuing the zero-carb meal plan. Body works better on low carb - less brain fog, no water retention battles, consistent visual progress. Goal weight 215 lbs (15% BF), pushing to 210 for rebound buffer. Approximately 6-8 weeks away.

103.6 pounds down. Body fat approximately 20%. Waist 34.37".

Pulled the carbs, dumped the water. The bloat battle is over.

All Posts
Dosing Calculator
Water Tracker
YouTube

You're receiving this because you subscribed to RetatrutideLog updates.

Unsubscribe